@import "../variables";

.user {
    @media (max-width: $media-m) {
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: flex-start;
        margin-left: 16px;
        margin-top: auto;
        padding-top: 24px;
        padding-bottom: 32px;
    }

    &__avatar {
        display: block;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        transition: 0.2s ease-in-out;

        &:hover,
        &:focus {
            box-shadow: 0 0 0 2px $brand-color;
        }

        @media (max-width: $media-m) {
            width: 80px;
            height: 80px;
            margin-right: 16px;
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    &-menu {
        display: none;

        a {
            font-size: 15px;
            font-weight: 700;
        }

        &__log-out {
            margin-top: 8px;
            color: $brand-button;
        }
        
        @media (max-width: $media-m) {
            display: flex;
            flex-direction: column;
        }
    }
}